# AUTO GENERATED FILE - DO NOT EDIT

from dash.development.base_component import Component, _explicitize_args


class Accordion(Component):
    """An Accordion component.
Divide content into collapsible sections. For more information, see: https://mantine.dev/core/accordion/

Keyword arguments:

- children (a list of or a singular dash component, string or number; optional):
    Accordion content.

- id (string; optional):
    Unique ID to identify this component in Dash callbacks.

- chevron (a list of or a singular dash component, string or number; optional):
    Replaces chevron on all items.

- chevronPosition (a value equal to: 'left', 'right'; optional):
    Determines position of the chevron.

- chevronSize (number; optional):
    Chevron size in px.

- className (string; optional):
    Often used with CSS to style elements with common properties.

- disableChevronRotation (boolean; optional):
    Determines whether chevron rotation should be disabled.

- loop (boolean; optional):
    Determines whether arrow key presses should loop though items
    (first to last and last to first).

- m (number; optional):
    margin props.

- mb (number; optional):
    margin props.

- ml (number; optional):
    margin props.

- mr (number; optional):
    margin props.

- mt (number; optional):
    margin props.

- mx (number; optional):
    margin props.

- my (number; optional):
    margin props.

- order (a value equal to: 2, 3, 4, 5, 6; optional):
    Heading order, has no effect on visuals.

- p (number; optional):
    padding props.

- pb (number; optional):
    padding props.

- persisted_props (list of strings; default ["value"]):
    Properties whose user interactions will persist after refreshing
    the component or the page. Since only `value` is allowed this prop
    can normally be ignored.

- persistence (string | number; optional):
    Used to allow user interactions in this component to be persisted
    when the component - or the page - is refreshed. If `persisted` is
    truthy and hasn't changed from its previous value, a `value` that
    the user has changed while using the app will keep that change, as
    long as the new `value` also matches what was given originally.
    Used in conjunction with `persistence_type`.

- persistence_type (a value equal to: 'local', 'session', 'memory'; default 'local'):
    Where persisted user changes will be stored: memory: only kept in
    memory, reset on page refresh. local: window.localStorage, data is
    kept after the browser quit. session: window.sessionStorage, data
    is cleared once the browser quit.

- pl (number; optional):
    padding props.

- pr (number; optional):
    padding props.

- pt (number; optional):
    padding props.

- px (number; optional):
    padding props.

- py (number; optional):
    padding props.

- radius (number; optional):
    border-radius from theme.radius or number to set value in px, will
    not be applied to default variant.

- style (boolean | number | string | dict | list; optional):
    Inline style.

- styles (dict; optional):
    Mantine styles API.

- sx (boolean | number | string | dict | list; optional):
    With sx you can add styles to component root element. If you need
    to customize styles of other elements within component use styles
    prop.

- transitionDuration (number; optional):
    Transition duration in ms, set 0 to disable transitions.

- unstyled (boolean; optional):
    Remove all Mantine styling from the component.

- value (string; optional):
    Value that is used to manage accordion state.

- variant (a value equal to: 'default', 'contained', 'filled', 'separated'; optional):
    Controls visuals."""
    _children_props = ['chevron']
    _base_nodes = ['chevron', 'children']
    _namespace = 'dash_mantine_components'
    _type = 'Accordion'
    @_explicitize_args
    def __init__(self, children=None, value=Component.UNDEFINED, loop=Component.UNDEFINED, transitionDuration=Component.UNDEFINED, disableChevronRotation=Component.UNDEFINED, chevronPosition=Component.UNDEFINED, chevronSize=Component.UNDEFINED, order=Component.UNDEFINED, chevron=Component.UNDEFINED, variant=Component.UNDEFINED, radius=Component.UNDEFINED, className=Component.UNDEFINED, style=Component.UNDEFINED, styles=Component.UNDEFINED, id=Component.UNDEFINED, unstyled=Component.UNDEFINED, sx=Component.UNDEFINED, m=Component.UNDEFINED, my=Component.UNDEFINED, mx=Component.UNDEFINED, mt=Component.UNDEFINED, mb=Component.UNDEFINED, ml=Component.UNDEFINED, mr=Component.UNDEFINED, p=Component.UNDEFINED, py=Component.UNDEFINED, px=Component.UNDEFINED, pt=Component.UNDEFINED, pb=Component.UNDEFINED, pl=Component.UNDEFINED, pr=Component.UNDEFINED, persistence=Component.UNDEFINED, persisted_props=Component.UNDEFINED, persistence_type=Component.UNDEFINED, **kwargs):
        self._prop_names = ['children', 'id', 'chevron', 'chevronPosition', 'chevronSize', 'className', 'disableChevronRotation', 'loop', 'm', 'mb', 'ml', 'mr', 'mt', 'mx', 'my', 'order', 'p', 'pb', 'persisted_props', 'persistence', 'persistence_type', 'pl', 'pr', 'pt', 'px', 'py', 'radius', 'style', 'styles', 'sx', 'transitionDuration', 'unstyled', 'value', 'variant']
        self._valid_wildcard_attributes =            []
        self.available_properties = ['children', 'id', 'chevron', 'chevronPosition', 'chevronSize', 'className', 'disableChevronRotation', 'loop', 'm', 'mb', 'ml', 'mr', 'mt', 'mx', 'my', 'order', 'p', 'pb', 'persisted_props', 'persistence', 'persistence_type', 'pl', 'pr', 'pt', 'px', 'py', 'radius', 'style', 'styles', 'sx', 'transitionDuration', 'unstyled', 'value', 'variant']
        self.available_wildcard_properties =            []
        _explicit_args = kwargs.pop('_explicit_args')
        _locals = locals()
        _locals.update(kwargs)  # For wildcard attrs and excess named props
        args = {k: _locals[k] for k in _explicit_args if k != 'children'}

        super(Accordion, self).__init__(children=children, **args)
